# Rewards

#### APY

When you deposit your tokens, you receive strETH tokens that represent your portion of the vault.  While your strETH token balance stays the same, the value per token adjusts to account for fees and performance. Simply put, your balance doesn’t grow in number – it grows in value.

The stRATEGY APY[^1] comes from continuous rewards generation across the underlying apps and protocols currently used in the strategy (e.g. lending, staking, liquidity provision). All these rewards are automatically compounded into the vault.&#x20;

APY is calculated based on the [Oracle](/core-vaults/architecture/oracle.md) reports - each report updates the stRATEGY price to reflect the changes that might happen.&#x20;

When your funds enter the vault and strETH tokens are generated and can be claimed in the Lido UI or Mellow UI. Not claiming your tokens *won’t affect the rewards accrual*.

The following formula is used for APY calculations:

`currentReport = oracle.getReport(ETH) # current block`  &#x20;

`initalReport = oracle.getReport(ETH) # 1 week old block`   &#x20;

`apy := ((initialReport.priceD18 / currentReport.priceD18) ** (365 * 24 * 3600 / (currentReport.timestamp - initialReport.timestamp)) - 1) * 100`

Please note that APY figures are only estimates and subject to change at any time. Past performance is not a guarantee of future results. Rewards are influenced by factors outside the platform’s control, including changes to blockchain protocols and validator performance.

#### Points

Mellow provides additional incentives in the form of points: all stRATEGY Vault participants are eligible for point accrual based on the deposited value.

The stRATEGY Vault offers boosted Mellow Points for the first 4 weeks after launch (starting October 01, 2025):

* For every $1 of value in your strETH, your wallet earns 0.00075 Mellow Points per hour.

After the initial 4 weeks, the rate adjusts back to:

* For every $1 of value in your strETH, your wallet earns 0.00025 Mellow Points per hour.<br>

[^1]: **APY (Annual Percentage Yield)**\
    \&#xNAN;*"The effective annual return that includes compounding of rewards. Unlike APR, it shows the actual growth of your deposit if earnings are reinvested."*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mellow.finance/strategy-vault/rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
